# DNSService
> 域名解析服务

---

## findAllDNSIssues
> 查找问题

- 角色：`admin`
- HTTP：`POST https://backend.dooki.cloud/DNSService/findAllDNSIssues`
- RPC：`rpc findAllDNSIssues (FindAllDNSIssuesRequest) returns (FindAllDNSIssuesResponse);`

**请求对象 (`FindAllDNSIssuesRequest`)**

```json
{
  "nodeClusterId": "int64 // 集群ID"
}
```

**响应对象 (`FindAllDNSIssuesResponse`)**

```json
{
  "issues": "[]DNSIssue"
}
```

**调用示例**

```bash
curl -X POST "https://backend.dooki.cloud/DNSService/findAllDNSIssues" \
  -H "Content-Type: application/json" \
  -H "X-Edge-Access-Token: <YOUR_TOKEN>" \
  -d '{
    ...
  }'
```

---
